You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@aurora.apache.org by ke...@apache.org on 2013/12/07 00:03:41 UTC

git commit: Use bash instead of sh for bootstrap scripts.

Updated Branches:
  refs/heads/master f34ba1e0c -> cf7ee5a64


Use bash instead of sh for bootstrap scripts.

Testing Done:
vagrant up

Bugs closed: AURORA-5

Reviewed at https://reviews.apache.org/r/16094/


Project: http://git-wip-us.apache.org/repos/asf/incubator-aurora/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-aurora/commit/cf7ee5a6
Tree: http://git-wip-us.apache.org/repos/asf/incubator-aurora/tree/cf7ee5a6
Diff: http://git-wip-us.apache.org/repos/asf/incubator-aurora/diff/cf7ee5a6

Branch: refs/heads/master
Commit: cf7ee5a648376eae142f721e8cabc5c1147f8f26
Parents: f34ba1e
Author: Kevin Sweeney <ke...@apache.org>
Authored: Fri Dec 6 15:03:36 2013 -0800
Committer: Kevin Sweeney <ke...@apache.org>
Committed: Fri Dec 6 15:03:36 2013 -0800

----------------------------------------------------------------------
 build-support/virtualenv | 3 ++-
 rbt                      | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-aurora/blob/cf7ee5a6/build-support/virtualenv
----------------------------------------------------------------------
diff --git a/build-support/virtualenv b/build-support/virtualenv
index b44991a..d7a99e0 100755
--- a/build-support/virtualenv
+++ b/build-support/virtualenv
@@ -1,5 +1,6 @@
-#!/bin/sh -ex
+#!/usr/bin/env bash
 # Wrapper for self-bootstrapping virtualenv
+set -ex
 VIRTUALENV_VERSION=1.10.1
 
 if which python2.7 >/dev/null; then

http://git-wip-us.apache.org/repos/asf/incubator-aurora/blob/cf7ee5a6/rbt
----------------------------------------------------------------------
diff --git a/rbt b/rbt
index 7efe58c..a1774df 100755
--- a/rbt
+++ b/rbt
@@ -1,5 +1,6 @@
-#!/bin/sh -e
+#!/usr/bin/env bash
 # Wrapper script for self-bootstrapping rbt.
+set -e
 
 # TODO(kevints): Pin to stable version after patch --commit is available.
 # Stable version of the release-0.5.x branch